<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmChangeStateFileListFlag Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmChangeStateFileListFlag Enumeration

Visual Basic
C#
C++/CLI
Options for returning files when making calls to IEdmBatchChangeState::GetFileList. Bitmask.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmChangeStateFileListFlag
       Inherits System.Enum

C# |
--- | ---

    public enum EdmChangeStateFileListFlag : System.Enum

C++/CLI |
--- | ---

    public enum class EdmChangeStateFileListFlag : public System.Enum

# Members

Member | Description
--- | ---
Ecsflf_GetActionUpdated | 4 = Return files that were updated by an action that set a variable value
Ecsflf_GetChanged | 1 = Return files that had their state changed
Ecsflf_GetUnprocessed | 2 = Return files that did not have their state changed

# See Also

####

EPDM.Interop.epdm Namespace